=== debian/changelog ===
apt-howto (1.7.7-3) unstable; urgency=high

  * apt-howto-pl.sgml:
  - updated to match 1.7.7, thanks to "Pawe" <pawel.tecza@poczta.fm>
  * urgency high because 1.7.6 misses important information, so 1.7.7
    is better suited to woody... also, there are no "dangerous"
    packaging changes since the latest releases, just contents to the
    sgml

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 20 Apr 2002 17:13:01 -0300

apt-howto (1.7.7-2) unstable; urgency=low

  * apt-howto-en.sgml,ml, apt-howto-pt_BR.sgml:
  - noted the need to include lines of both distributions
    when using 'mixed'systems (Closes: #142574)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 14 Apr 2002 02:16:02 -0300

apt-howto (1.7.7-1) unstable; urgency=low

  * debian/control, debian/rules:
  - added new packages apt-howto-{it,ru}
  - added tetex-extra to Build-Depends-Indep, to fix the
    building of the package (Closes: #140131)
  * Adds new Russian translation, thanks to ilgiz kalmetev 
    <ilgiz@bashtelecom.ru> and Italian translation thanks
    to Luca Monducci <luca.mo@tiscali.it>
  * Typo fixes and new versions, with more information on
    mixing releases

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 31 Mar 2002 19:25:28 -0300

apt-howto (1.7.6-9) unstable; urgency=low

  * debian/control:
  - added new package apt-howto-es
  * adds new spanish translation, thanks to Thomas Bliesener 
    <bli@melix.com.mx>
  * Fixes problems with the naming of the text files in all
    doc-base files. (Closes: #137517)
  * Fixes typo on 'useful', thanks to Matt Kraai <kraai@debian.org>
  * Applied a patch with more typos fixed, thanks to
    Matt Kraai <kraai@debian.org>
  * Added Matt Kraai to the Thanks section of all languages.
    I copied the "thanks" sentences from Bryan Stillwell in
    all languages and fixed the bad position of the &lt; thing
    on apt-howto-es.sgml on Bryan's entry

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 12 Mar 2002 21:49:33 -0300

apt-howto (1.7.6-8) unstable; urgency=low

  * debian/control:
  - added tetex-bin to Build-Depends-Indep (Closes: #133076)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  9 Feb 2002 14:06:43 -0200

apt-howto (1.7.6-7) unstable; urgency=low

  * debian/control:
  - small typo fixed (versio->version) (Closes: #132302)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  6 Feb 2002 01:40:21 -0200

apt-howto (1.7.6-6) unstable; urgency=low

  * apt-howto-ko.sgml:
  - updated translation, thanks to Yooseong Yang <yooseong@debian.org>
  * debian/control:
  - no need for debhelper >> 3.0.0.
  * debian/rules:
  - DH_COMPAT=2

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  1 Feb 2002 02:43:48 -0200

apt-howto (1.7.6-5) unstable; urgency=low

  * fixed the location of &lt; on Credits section
    (Closes: #128792)
  * debian/control:
  - changed description to tell the user that the apt-howto
    is there and depends on all others to provide a smooth
    upgrade from non-splitted version (Closes: #131246)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 29 Jan 2002 17:51:40 -0200

apt-howto (1.7.6-4) unstable; urgency=low

  * spelling corrections
  * updated Polish translation
  * debian/apt-howto-pl.doc-base.apt-howto-pl:
  - changed the description to a description written in Polish
  (thanks to "Pawel Tecza" <pawel.tecza@poczta.fm> for all entries
  above)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  9 Jan 2002 13:27:13 -0200

apt-howto (1.7.6-3) unstable; urgency=low

  * debian/README.Debian:
  - fixed the Debian-BR's URL
  * debian/*:
  - fixed the names of the doc-base files

 -- Gustavo Noronha Silva <kov@debian.org>  Mon,  7 Jan 2002 12:48:25 -0200

apt-howto (1.7.6-2) unstable; urgency=low

  * Split the package in several ones, one for each translations.
    I received some informal (non-BTS) messages asking for that
    and I really think that it is better
  * made all lang-specific packages Conflict and Replace 
    apt-howto <= 1.7.6-1

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  6 Jan 2002 00:41:22 -0200

apt-howto (1.7.6-1) unstable; urgency=low

  * 1.7.6:
  - added a hint for using the -o Debug::pkgProblemResolver=yes
    switch to solve dist-upgrade problems (Closes: #127349)
    thanks to Ross Boylan <RossBoylan@stanfordalumni.org>
  - added APT4RPM as one of the apt-supporting "distributions"
    thanks to Richard Bos <allabos@freeler.nl>
  - wrote a section about the equivs program, this will solve
    some of the problems reported by Ian Bicking <ianb@colorstudy.com>
    the rest of the problems are design decisions of APT and dpkg,
    and were already reported as wishlists, etc (Closes: #120099)
  - wrote a section about the localepurge program, in the new chapter
    I created for equivs and localepurge.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  4 Jan 2002 21:05:25 -0200

apt-howto (1.7.5-2) unstable; urgency=low

  * Makefile:
  - removed -c on debiandoc2html call to generate index.html files
  instead of index.$lang.html

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  3 Jan 2002 21:44:18 -0200

apt-howto (1.7.5-1) unstable; urgency=low

  * small typo fixed (Closes: #127348), thanks to
  Ross Boylan <RossBoylan@stanfordalumni.org>

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  2 Jan 2002 03:18:03 -0200

apt-howto (1.7.5) unstable; urgency=low

  * Some minor fixes
  * Polish version updated to 1.7.5 too

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Dec 2001 22:57:43 -0200

apt-howto (1.7.4-1) unstable; urgency=low

  * Updating Polish version, thanks to Pawel Tecza.

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  2 Dec 2001 00:44:53 -0200

apt-howto (1.7.4) unstable; urgency=low

  * Adding Korean version
  * Updating Polish version
  * debian/rules: creates apt-howto-ko.ps with a message, I cannot
    understand what's happening with korean version when compiling
    with debiandoc2latexps, but I'll contact the translator about this.

