=== debian/control ===
Source: apt-howto
Section: doc
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0), debiandoc-sgml, tetex-bin, tetex-extra
Standards-Version: 3.5.6

Package: apt-howto
Architecture: all
Depends: apt-howto-pt-br, apt-howto-en, apt-howto-pl, apt-howto-ko, apt-howto-es, apt-howto-it, apt-howto-ru
Description: A Guide to APT
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package depends on all translations of the manual.
 Its purpose is to provide a smooth upgrade for those
 who had apt-howto installed before the package was splited
 and may be removed after that.

Package: apt-howto-pt-br
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Portuguese)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package holds the Portuguese version, which is the 
 primary version.

Package: apt-howto-en
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (English)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the English version.

Package: apt-howto-pl
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Polish)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Polish translation.

Package: apt-howto-ko
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Korean)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Korean translation.

Package: apt-howto-es
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Spanish)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Spanish version.

Package: apt-howto-it
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Italian)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Italian version.

Package: apt-howto-ru
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Russian)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Russian version.
