## apt-howto 1.8.10.3

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 PUBLISHDIR := ~/public_html
 
 # Locale list of "publish" target for the DDP documents:
-LANGS := de en es fr it ja ko pl pt-br ru tr 
+LANGS := ca de el en es fr it ja ko pl pt-br ru tr 
 
 # All SGML source files
 SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 
@@ -73,8 +73,8 @@
 html: $(HTMLS)
 text txt:  $(TXTS)
 dvi:   $(DVIS)
-ps:   $(PSS)
-pdf:  $(PDFS)
+ps:   $(shell echo $(PSS) | sed s/apt-howto.el.ps//g)
+pdf:  $(shell echo $(PDFS) | sed s/apt-howto.el.pdf//g)
 publish: publish-html publish-txt publish-ps publish-pdf
 
 # =================================================================== #
@@ -120,30 +120,55 @@
 
 latex.fmt: texmf/language.dat
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
-	fmtutil --byfmt latex --fmtdir .
+	tex -ini latex.ini > /dev/null
+#	fmtutil --byfmt latex --fmtdir .
 
 pdflatex.fmt: texmf/language.dat
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
-	fmtutil --byfmt pdflatex --fmtdir .
+	pdftex -ini pdflatex.ini > /dev/null
+#	fmtutil --byfmt pdflatex --fmtdir .
 
 # required by thumbpdf (called from debiandoc2latexpdf)
 pdftex.fmt: texmf/language.dat
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
-	fmtutil --byfmt pdftex --fmtdir .
+	pdftex -ini pdftex.ini > /dev/null
+#	fmtutil --byfmt pdftex --fmtdir .
+
+latex.efmt: texmf/language.dat
+	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
+	etex -ini latex.ini > /dev/null
+#	fmtutil --byfmt latex --fmtdir .
+
+pdflatex.efmt: texmf/language.dat
+	TEXINPUTS=$$(pwd)/texmf/; \
+	pdfetex -ini pdflatex.ini > /dev/null
+#	fmtutil --byfmt pdflatex --fmtdir .
+
+# required by thumbpdf (called from debiandoc2latexpdf)
+pdftex.efmt: texmf/language.dat
+	TEXINPUTS=$$(pwd)/texmf/; \
+	pdfetex -ini pdftex.ini > /dev/null
+#	fmtutil --byfmt pdftex --fmtdir .
 
 # DVI
+$(MANUAL).el.dvi: $(MANUAL).el.sgml
+	@echo Locale 'el' not yet supported
 
 $(MANUAL).%.dvi: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt
 	bin/debiandoc2latexdvi $(BUILD_OPT) -l  $$(echo $* | bin/getlocale) $<
 
 # PS
-
-$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt
+$(MANUAL).el.ps: $(MANUAL).el.sgml
+	@echo Locale 'el' not yet supported
+
+$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt latex.efmt
 	bin/debiandoc2latexps $(BUILD_OPT) -l  $$(echo $* | bin/getlocale) $<
 
 # PDF
-
-$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt
+$(MANUAL).el.pdf: $(MANUAL).el.sgml
+	@echo Locale 'el' not yet supported
+
+$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt pdflatex.efmt pdftex.efmt
 	bin/debiandoc2latexpdf $(BUILD_OPT) -l $$(echo $* | bin/getlocale) $<
 
 
@@ -241,10 +266,11 @@
 distclean: clean
 	rm -Rf $(PUBLISHDIR)/$(MANUAL)
 
+# This rely on BASH
 clean:
 	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov,tpt,hyp}
 	rm -f *~ prior.aux pprior.aux *.log typescript README README.html
-	rm -f {latex,pdflatex,pdftex}.{fmt,log} *.tex[01]pdf *.tex[01]ps
+	rm -f {latex,pdflatex,pdftex}.{fmt,log,efmt} *.tex[01]pdf *.tex[01]ps
 	rm -f *.error $(MANUAL).*.ent date.ent
 	rm -rf $(MANUAL)*.html *stamp
