## apt-howto 2.0.2

=== Makefile ===
--- 
+++ 
@@ -39,11 +39,16 @@
 #PUBLISHDIR := /org/www.debian.org/www/doc/manuals
 PUBLISHDIR := ~/public_html
 
+KEEP := 40
+PODIR := po4a/po
+PO_LANGS := $(basename $(notdir $(wildcard $(PODIR)/*.po)))
+NORMALIZED_PO_LANGS = $(shell echo $(PO_LANGS) | sed 's/pt_BR/pt-br/')
+
 # Locale list of "publish" target for the DDP documents:
-LANGS := ca de el en es fr it ja ko pl pt-br ru tr 
+LANGS := en ja $(NORMALIZED_PO_LANGS)
 
 # All SGML source files
-SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 
+SGMLS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 
 
 # =================================================================== #
 #                 Build target default part: Routine                  #
@@ -70,11 +75,12 @@
 # =================================================================== #
 # If some languages have problems building, filter-out in here.
 
+sgml: $(SGMLS)
 html: $(HTMLS)
 text txt:  $(TXTS)
 dvi:   $(DVIS)
-ps:   $(shell echo $(PSS) | sed s/apt-howto.el.ps//g)
-pdf:  $(shell echo $(PDFS) | sed s/apt-howto.el.pdf//g)
+ps:   $(shell echo $(PSS) | sed s/apt-howto.el.ps//g | sed s/apt-howto.fr.ps//g | sed s/apt-howto.ja.ps//g)
+pdf:  $(shell echo $(PDFS) | sed s/apt-howto.el.pdf//g | sed s/apt-howto.fr.pdf//g | sed s/apt-howto.ja.pdf//g)
 publish: publish-html publish-txt publish-ps publish-pdf
 
 # =================================================================== #
@@ -118,34 +124,34 @@
 # even if language.dat is in . it isn't found without setting TEXINPUTS
 # (. is always in path, so I do not understand this!)
 
-latex.fmt: texmf/language.dat
+latex.fmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
 	tex -ini latex.ini > /dev/null
 #	fmtutil --byfmt latex --fmtdir .
 
-pdflatex.fmt: texmf/language.dat
+pdflatex.fmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
 	pdftex -ini pdflatex.ini > /dev/null
 #	fmtutil --byfmt pdflatex --fmtdir .
 
 # required by thumbpdf (called from debiandoc2latexpdf)
-pdftex.fmt: texmf/language.dat
+pdftex.fmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
 	pdftex -ini pdftex.ini > /dev/null
 #	fmtutil --byfmt pdftex --fmtdir .
 
-latex.efmt: texmf/language.dat
+latex.efmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
 	etex -ini latex.ini > /dev/null
 #	fmtutil --byfmt latex --fmtdir .
 
-pdflatex.efmt: texmf/language.dat
+pdflatex.efmt: 
 	TEXINPUTS=$$(pwd)/texmf/; \
 	pdfetex -ini pdflatex.ini > /dev/null
 #	fmtutil --byfmt pdflatex --fmtdir .
 
 # required by thumbpdf (called from debiandoc2latexpdf)
-pdftex.efmt: texmf/language.dat
+pdftex.efmt: 
 	TEXINPUTS=$$(pwd)/texmf/; \
 	pdfetex -ini pdftex.ini > /dev/null
 #	fmtutil --byfmt pdftex --fmtdir .
@@ -171,6 +177,24 @@
 $(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt pdflatex.efmt pdftex.efmt
 	bin/debiandoc2latexpdf $(BUILD_OPT) -l $$(echo $* | bin/getlocale) $<
 
+# Generating SGML
+define sgml_rule
+$(MANUAL).$(1).sgml: $(MANUAL).en.sgml $(PODIR)/$(shell echo $(1) | bin/getlocale).po \
+		$(wildcard po4a/addendum.doc*.$(1))
+	-po4a-translate -k $(KEEP) -f sgml -m $(MANUAL).en.sgml \
+		-p $(PODIR)/$(shell echo $(1) | bin/getlocale).po -l $(MANUAL).$(1).sgml \
+	$(patsubst %,-a %,$(wildcard po4a/addendum.doc*.$(1)))
+
+endef
+
+SGML_RULES := $(foreach language, $(NORMALIZED_PO_LANGS), $(call sgml_rule,$(language)))
+
+$(eval $(SGML_RULES))
+
+$(MANUAL).%.sgml: $(MANUAL).en.sgml $(PODIR)/%.po
+
+update-%.po: $(MANUAL).en.sgml
+	po4a-updatepo -f sgml -m $(MANUAL).en.sgml -p $(PODIR)/$*.po
 
 # =================================================================== #
 #                 Build rule part: Web publish                        #
@@ -273,6 +297,7 @@
 	rm -f {latex,pdflatex,pdftex}.{fmt,log,efmt} *.tex[01]pdf *.tex[01]ps
 	rm -f *.error $(MANUAL).*.ent date.ent
 	rm -rf $(MANUAL)*.html *stamp
+	rm -f $(MANUAL).{$(shell echo $(NORMALIZED_PO_LANGS) | sed 's/ /,/g')}.sgml
 
 .PHONY: all html text txt ps pdf files tar sf \
 	publish publish-all publish-html publish-ps publish-pdf \
